#include <iostream>

using namespace std;

int main()
{
    int a,b,x,y;
    cin>>a>>b>>x>>y;
    if(a==x && b==y) {
        cout<<"nijedan";
        return 0;
    }
    if(a==x && b>y) {
        cout<<"drugi";
        return 0;
    }
    if(a>x && b==y) {
        cout<<"prvi";
        return 0;
    }
    cout<<"?";
    
    return 0;
}